# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Element Glider

JXG.GeometryElement
↳ JXG.Point
↳ Glider

This element is used to provide a constructor for a glider point.
Defined in: Point.js.
Extends JXG.Point.

Element Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Glider A glider is a point which lives on another geometric element like a line, circle, curve, turtle.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| slideObject When used as a glider this member stores the object, where to glide on.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| startAnimation(direction, stepCount) Animate the point.
| stopAnimation() Stop animation.

Element Detail
Glider
A glider is a point which lives on another geometric element like a line, circle, curve, turtle.

This element has no direct constructor. To create an instance of this element you have to call JXG.Board#create with type "glider".
Possible parent array combinations are:
{Number} z Optional
{Number} x Optional
{Number} y Optional
{JXG.GeometryElement} GlideObject
  Parent elements can be two or three elements of type number and the object the glider lives on. The coordinates are completely optional. If not given the origin is used. If you provide two numbers for coordinates they will be interpreted as affine euclidean coordinates, otherwise they will be interpreted as homogeneous coordinates. In any case the point will be projected on the glide object.

Throws:
{Exception}
  If the element cannot be constructed with the given parent objects an exception is thrown.

Examples:

    // Create a glider with user defined coordinates. If the coordinates are not on
    // the circle (like in this case) the point will be projected onto the circle.
    var p1 = board.create('point', [2.0, 2.0]);
    var c1 = board.create('circle', [p1, 2.0]);
    var p2 = board.create('glider', [2.0, 1.5, c1]);

    // Create a glider with default coordinates (1,0,0). Same premises as above.
    var p1 = board.create('point', [2.0, 2.0]);
    var c1 = board.create('circle', [p1, 2.0]);
    var p2 = board.create('glider', [c1]);

Field Detail
{JXG.GeometryElement} slideObject
When used as a glider this member stores the object, where to glide on. To set the object to glide on use the method JXG.Point#makeGlider and DO NOT set this property directly as it will break the dependency tree. TODO: Requires renaming to glideObject
Method Detail
startAnimation(direction, stepCount)
Animate the point.

Parameters:
{Number} direction
  The direction the glider is animated. Can be +1 or -1.
{Number} stepCount
  The number of steps.

See:
  Glider#stopAnimation

stopAnimation()
Stop animation.

See:
  Glider#startAnimation

Attributes borrowed from other Elements

Attributes borrowed from class JXG.Point:
  attractorDistance, attractors, face, showInfobox, size, snapSizeX, snapSizeY, snapToGrid, snapToPoints, snatchDistance, style
Attributes borrowed from class JXG.GeometryElement:
  dash, draft, fillColor, fillOpacity, fixed, frozen, highlight, highlightFillColor, highlightFillOpacity, highlightStrokeColor, highlightStrokeOpacity, highlightStrokeWidth, needsRegularUpdate, shadow, strokeColor, strokeOpacity, strokeWidth, trace, traceAttributes, visible, withLabel

Fields borrowed from other Elements

Fields borrowed from class JXG.Point:
  coords, group, onPolygon, position
Fields borrowed from class JXG.GeometryElement:
  addEvent, ancestors, baseElement, board, childElements, descendants, dump, elementClass, elType, eventHandlers, getAttribute, hasLabel, highlighted, id, isDraggable, isReal, methodMap, mouseover, name, needsUpdate, notExistingParents, numTraces, quadraticform, removeEvent, stdform, subs, symbolic, traces, transformations, type, visProp

Methods borrowed from other Elements

Methods borrowed from class JXG.Point:
  _anim, addConstraint, addTransform, Dist, free, handleAttractors, handleSnapToGrid, handleSnapToPoints, hasPoint, makeGlider, moveAlong, moveTo, normalizeFace, remove, setGliderPosition, setPosition, setPositionByTransform, setPositionDirectly, setStyle, update, updateConstraint, updateGlider, updateGliderFromParent, updateRenderer, updateTransform, visit, X, XEval, Y, YEval, Z, ZEval
Methods borrowed from class JXG.GeometryElement:
  _set, addChild, addDescendants, animate, bounds, clearTrace, cloneToBackground, countChildren, createGradient, createLabel, draggable, generatePolynomial, getAttributes, getLabelAnchor, getName, getParents, getProperty, getTextAnchor, getType, hideElement, labelColor, noHighlight, normalize, off, on, prepareUpdate, resolveShortcuts, setArrow, setAttribute, setDash, setLabelText, setProperty, setStraight, showElement, triggerEventHandlers

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:01 GMT+0200 (MESZ)